apiVersion: v1
kind: Service
metadata:
  name: socket-server
  namespace: planblick
  labels:
    app: socket-server
spec:
  ports:
  - port: 5000
    targetPort: 5000
  selector:
    app: socket-server
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: socket-server
  namespace: planblick
  labels:
    app: socket-server
spec:
  replicas: 1
  selector:
    matchLabels:
      app: socket-server
  template:
    metadata:
      labels:
        app: socket-server
    spec:
      containers:
      - name: socket-server
        image: [image]
        env:
        - name: APIGATEWAY_ADMIN_INTERNAL_BASEURL
          valueFrom:
            configMapKeyRef:
              name: environment
              key: APIGATEWAY_ADMIN_INTERNAL_BASEURL
        - name: MQ_HOST
          value: "rabbitmq.planblick.svc"
        - name: MQ_USERNAME
          valueFrom:
            secretKeyRef:
              name: rabbitmq-credentials
              key: username
        - name: MQ_PASSWORD
          valueFrom:
            secretKeyRef:
              name: rabbitmq-credentials
              key: password
        - name: MQ_PORT
          value: "5672"
        - name: MQ_VHOST
          value: "/"
        ports:
        - containerPort: 5000